Subject: Re: Note to Henry (Was: Re: DTMF signaling between media gateways - ouch!)

From: "Gregory D. Girard" <[email-masked]>
Date: Tue, 23 Nov 1999 18:23:20 -0500

Hey Pete, you hit the nail on the head in your comments below. I've done the
analysis. I've spoken to the customers. We (Iperia) have relationships with
all major gateway manufacturers. The message is crystal clear that SIP (Or
its replacement/adjunct) must cover the basics before any fancy stuff even
matters a damn to anyone anywhere. If SIP can't duplicate legacy for
starters, it Dead on Arrival and will belong in the archives of great
intellectual achievements that never made it commerically, right up there
with the H.324 videophone stuff where the bottom fell out about a year ago.

Greg Girard

-----Original Message-----
From: Pete Cordell <[email-masked]>
To: Henry Sinnreich <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Tuesday, November 23, 1999 12:30 PM
Subject: Note to Henry (Was: Re: DTMF signaling between media gateways -
ouch!)

>Sorry for busting ya party Henry.  I didn't realise a personal invitation
>was required.
>
>Trouble is, I don't see any point inventing fan-dabby-doozo new services if
>the basics are not covered off.  I reckon that 80% of calls even in the
>brave new world of SIP will never go any where near any fancy services.
>Degrading the basic call experience in these cases so that we can add a few
>extra services does not make sense to me.  From a US perspective I can see
>this issue is not a big problem, but globally I think you would be
>committing suicide if this is not catered for.  Sure, if we could say this
>can be handled by the gateways that would be great, but my analysis (and
I'm
>quite happy for others to prove me wrong) shows that it can't be.
>Unfortunately, that means that SIP has to tackle it.
>
>Sorry for not proving to be entertaining, but in reality Jonathan's last
>e-mail seems to be pretty much there in terms of crystallising what needs
to
>be said.  Let's finish it off.  I too will then be pleased to see this
>thread end!
>
>Pete
>
>=============================================
>Pete Cordell
>[email-masked]
>=============================================
>
>-----Original Message-----
>From: Henry Sinnreich <[email-masked]>
>To: Pete Cordell <[email-masked]>; Schroeder, Tim
><[email-masked]>; [email-masked]
><[email-masked]>
>Date: 23 November 1999 13:28
>Subject: RE: DTMF signaling between media gateways - ouch!
>
>
>>Pete Cordell wrote
>>> I'm here because
>>
>>Pete, if this is the reason for stuffing our mail, just say so and let's
>get
>>back to designing features we need for new services. As mentioned,
>telephony
>>legacy systems can be accommodated by gateway features and their ways need
>>not be ported to the Internet. I suggest we stop this thread, it's been a
>>drag already.
>>
>>Henry
>>
>>Henry Sinnreich
>>MCI WorldCom
>>400 International Parkway
>>Richardson, Texas 75081, USA
>>
>>
>>> -----Original Message-----
>>> From: [email-masked]
>>> [mailto:[email-masked]]On Behalf Of Pete Cordell
>>> Sent: Tuesday, November 23, 1999 5:24 AM
>>> To: Schroeder, Tim; [email-masked]
>>> Subject: Re: DTMF signaling between media gateways - ouch!
>>>
>>>
>>> My feeling is that SIP stopped being purely an initiation protocol a
long
>>> time ago.  In fact, when the BYE method was added, it no longer was
>purely
>>> an initiation protocol.  It went further down the path when all the call
>>> transfer stuff was added.
>>>
>>> I'm here because SIP is being touted as a solution for Internet
>Telephony,
>>> which involves more, much more, than just initiation.  If that's not
what
>>> it's about a decision needs to be made quickly and the message
>>> that is being
>>> spread by SIP advocates needs to be changed to avoid confusion in
>>> the market
>>> place.
>>>
>>> Pete
>>>
>>> =============================================
>>> Pete Cordell
>>> [email-masked]
>>> =============================================
>>>
>>> -----Original Message-----
>>> From: Schroeder, Tim <[email-masked]>
>>> To: [email-masked] <[email-masked]>
>>> Date: 22 November 1999 23:44
>>> Subject: RE: DTMF signaling between media gateways - ouch!
>>>
>>>
>>> >I'm a bit confused by much of this DTMF discussion.  SIP is a Session
>>> >Initiation Protocol, so it understands how to initiate sessions.  As
for
>>> the
>>> >mid-call DTMF tones,
>>> >
>>> >(1) If they are coming from some network where those tones *do* have
>>> session
>>> >initiation implications, then the gateway ought to be able to map them
>to
>>> >the existing set of SIP messages in some rational fashion.  So, in a
>>> network
>>> >where the DTMF 7 tone (R for record) means to add a recording
>>> device to the
>>> >call, the SIP gateway would map this to an invite of a recording
>>> device to
>>> >the call.
>>> >
>>> >(2) If those tones don't have session initiation implications,
>>> then I don't
>>> >see why any of the SIP network servers would understand them
>>> (any more than
>>> >a gateway would understand them); only the end systems would.  Yes,
they
>>> may
>>> >be used for signaling, but it's not session initiation signaling, and I
>>> >don't understand the desire to somehow wrap them up into SIP messages
>and
>>> >send them between end systems that way.  I see SIP as being used
>>> to set up
>>> a
>>> >session between end systems, possibly consisting of two media
>>> channels, one
>>> >used for end system signaling, one used for end system data.  I haven't
>>> made
>>> >the leap that because the end systems are interpreting some data as
>>> >signaling, that the data should be sent using SIP messages.
>>> >
>>> >My impression from reading all the DTMF messages (and in trying
>>> to catch up
>>> >-- there were a lot of them!) is that two separate kinds of signaling
>>> >(session initiation, and some higher level service signaling) are being
>>> >confused.  Currently SIP handles the first type.  Adding the INFO
method
>>> >might make it able to handle some of the second type, but I
>>> don't think it
>>> >can handle all service signaling that easily.
>>> >
>>> >Tim Schroeder
>>> >
>>> >
>>> >
>>> >This e-mail and any files transmitted with it are the property of SBC,
>>> >are confidential, and are intended solely for the use of the individual
>>> >or entity to whom this e-mail is addressed. If you are not one of the
>>> >named recipient(s) or otherwise have reason to believe that you have
>>> >received this message in error, please notify the sender at
>>> >[email-masked] and delete this message immediately from your
>>> >computer. Any other use, retention, dissemination, forwarding,
printing,
>>> >or copying of this e-mail is strictly prohibited.
>>> >
>>> >
>>> >
>>>
>>>
>>
>>
>>
>
>

---

From: "Michael A. Ramalho" <[email-masked]>
Date: Tue, 23 Nov 1999 20:02:55 -0800

Greg,

I guess that since the Internet has functionality above the PSTN
that it would have been Dead-on-Arrival too?

Seems odd to me that you are commenting on an IETF list.

Lets get real here .... your customers would have NEVER given
you feedback on ICQ (e.g., AOL IM or Yahoo Messenger) a
few years ago. Why ... because they didn't know what these
new features could do for them.

The Internet provides lots of services that can be used in concert
with real-time transport (e.g., telephony apps) ... probably the most
user impacting apps have not yet been written! ... but we desire an
architecture that enables them.

If you really feel this way .... that we are brain-dead for not replicating
EVERY functionality of the PSTN in the IDENTICAL manner the PSTN
implements them .... I have to wonder what you are doing here?

(He tried to say in as nice a way as possible),

Michael Ramalho

>>>> >or copying of this e-mail is strictly prohibited.

Michael A. Ramalho, Ph.D.
Cisco Systems
Wall Township, NJ
Office email: [email-masked]
Personal email: [email-masked]
Office: +1.732.449.5762
Cell: +1.732.809.0188

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 24 Nov 1999 09:27:39 -0500

> with the H.324 videophone stuff where the bottom fell out about a year ago.

Sigh...I've heard these arguments before. As I recall, the whole ATM vs.
IP debates took a similar tone... "But IP can't do QoS routing, and its
not as reliable, and it won't be fast enough, and.....". However, IP was
a success NOT because it attempted to fully replicate existing
technologies. It provided a whole new set of features and services, and
customers were more than willing to accept packet loss and delays in
exchange.

Same for cell phones. Cell phones aren't on par with landline at all.
The quality stinks, they cut out all the time. 911 doesn't even work
quite right. But, they have become immensely successful because they
brought something NEW to the table - mobility.

Same for IP telephony. We need to strike a balance. We need to be able
to do many of the most imporant PSTN services, and we *do*. Hey, we even
can do overlap dialing, for goodness sake. Your mail seems to imply that
SIP cannot do any phone feature or service, but this is just being
alarmist and is plain false. However, the aim is not to replicate the
entire PSTN feature and function set. I think that if you set down the
requirements for doing PSTN replication, you would find that the
protocols and architectures that best meet those requirements are
already done - those in use in the PSTN already. No big surprise there.
That, however, is NOT our goal. Our goal is to enable all kinds of cool
new features in IP telephony, things that just don't work at all on the
PSTN, while enabling a reasonably good set of traditional features and
services. I have already given some examples of these new services, and
there are many, **many** more. After all, why would a customer want to
purchase IP telephony service if it does nothing more than the PSTN, the
quality is lower, and the cost differential is not significant (with
declining PSTN calling rates, its a fair bet this is the case)? I
already have a phone, thank you. We're trying to build the next thing.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120 
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

---

From: "Paul E. Jones" <[email-masked]>
Date: Sun, 28 Nov 1999 20:51:03 -0500

Michael,

That's a pretty harsh attack!

The Internet was not Dead on Arrival, because it was something new and
different-- there was no legacy that the general public needed to support.

What he was saying is that his customers that currently have a telephone do
not want to give up any functionality.  If the new "IP telephony" gadgets
don't provide his customers with the same (or better) features as their
current "PSTN telephony" gadgets-- they don't want them.  If his research is
correct and SIP doesn't meet his needs, guess what?

By the same token, I would not necessarily advocate re-inventing the same
features as the PSTN.  I would, however, advocate improving upon them.
Perhaps he feels that SIP does not improve over the features of the PSTN.

Greg, can you elaborate on what functionality you see missing?

Paul

----- Original Message -----
From: "Michael A. Ramalho" <[email-masked]>
To: "Gregory D. Girard" <[email-masked]>; "Pete Cordell"
<[email-masked]>; "Henry Sinnreich" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, November 23, 1999 11:02 PM
Subject: Re: Note to Henry (Was: Re: DTMF signaling between media gateways -
ouch!)